Package ghidra.app.cmd.function

# Class CaptureFunctionDataTypesCmd

java.lang.Object
ghidra.framework.cmd.BackgroundCommand<Program>
ghidra.app.cmd.function.CaptureFunctionDataTypesCmd

All Implemented Interfaces:
  `Command<Program>`

public class CaptureFunctionDataTypesCmd extends BackgroundCommand<Program>
Capture all selected function signature data types from the current program and put them in the data type manager.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaptureFunctionDataTypesCmd(DataTypeManager dtm, AddressSetView set, CaptureFunctionDataTypesListener listener)`
  Constructs a new command to create function definition data types in the given data type manager from the function's whose entry points are in the address set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program, TaskMonitor monitor)`
  Method called when this command is to apply changes to the given domain object.
  `void`
  `taskCompleted()`
  Called when the task monitor is completely done with indicating progress.

  ### Methods inherited from class ghidra.framework.cmd.BackgroundCommand

  `applyTo, canCancel, dispose, getName, getStatusMsg, hasProgress, isModal, run, setStatusMsg, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CaptureFunctionDataTypesCmd

    public CaptureFunctionDataTypesCmd(DataTypeManager dtm, AddressSetView set, CaptureFunctionDataTypesListener listener)
    Constructs a new command to create function definition data types in the given data type manager from the function's whose entry points are in the address set.
    Parameters:
      `dtm` - data type manager containing the function signature data types
      `set` - set of addresses containing the entry points of the functions whose signatures are to be turned into data types.
      `listener` -

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program, TaskMonitor monitor)
    Description copied from class: `BackgroundCommand`
    Method called when this command is to apply changes to the given domain object. A monitor is provided to display status information about the command as it executes in the background.
    Specified by:
      `applyTo` in class `BackgroundCommand<Program>`
    Parameters:
      `program` - domain object that will be affected by the command
      `monitor` - monitor to show progress of the command
    Returns:
      true if the command applied successfully

  - ### taskCompleted

    public void taskCompleted()
    Description copied from class: `BackgroundCommand`
    Called when the task monitor is completely done with indicating progress.
    Overrides:
      `taskCompleted` in class `BackgroundCommand<Program>`